mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
secret: ""
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://cloudflare-dns.com/dns-query
proxies:
  - name: "HY2_157.254.223.43:27921,28000-29000_443"
    type: "hysteria2"
    server: "157.254.223.43:27921,28000-29000"
    port: 443
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY2_[2001:bc8:32d7:17b::3]_22000"
    type: "hysteria2"
    server: "[2001:bc8:32d7:17b::3]"
    port: 22000
    password: "dongtaiwang.com"
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY_5.83.129.90_54177"
    type: "hysteria"
    server: "5.83.129.90"
    port: 54177
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY2_[2a10:3c80:0:f::2]_39463"
    type: "hysteria2"
    server: "[2a10:3c80:0:f::2]"
    port: 39463
    password: "VNws548Lj/fDRk58HE6dKAcTNpb8+iIk+ycqKEBNG/U="
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY_5.83.129.153_20088"
    type: "hysteria"
    server: "5.83.129.153"
    port: 20088
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "VLESS_118.166.0.164_44965"
    type: "vless"
    server: "118.166.0.164"
    port: 44965
    uuid: "b0a4c3bf-f170-46e2-8cef-7ed2fc2e6748"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "z1_FVLAxN66t1373faq2D-BV8B7CyILrwc0vMiYw9Cc"
      short-id: "d3c7911a"
      spider-x: "/"
    servername: "www.cloudflare.com"
  - name: "VLESS_89.144.35.230_54582"
    type: "vless"
    server: "89.144.35.230"
    port: 54582
    uuid: "5cfc52bc-e701-4160-89df-930a0c040576"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "kfw5DgkyKiovC3dzb-o2PUYnZPnbYvbx2IwERUv9czY"
      short-id: "225e2cc8"
      spider-x: "/"
    servername: "apple.com"
  - name: "VLESS_2a14:7584:d097::a_11330"
    type: "vless"
    server: "2a14:7584:d097::a"
    port: 11330
    uuid: "53d74aab-6471-4c1b-ace7-fac837d1bfbd"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "3HaD5Ztk3X4gi3aJLVesV6KSJTW2YGG-hvGD3ZumJkE"
      short-id: "fa789b2f5ff56959"
      spider-x: "/"
    servername: "toarumajutsunoindex.fandom.com"
  - name: "VLESS_157.254.223.137_24089"
    type: "vless"
    server: "157.254.223.137"
    port: 24089
    uuid: "0b138cbd-73f2-482c-ac69-c4b2ebeb891d"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "njrfRguP2WJFUtBH11bJTaIEfGIb28V7_Sahlhbldyw"
      short-id: "54ffd503"
      spider-x: "/"
    servername: "www.microsoft.com"
  - name: "HY2_fan.193919.xyz_45889"
    type: "hysteria2"
    server: "fan.193919.xyz"
    port: 45889
    password: "dongtaiwang.com"
    sni: "fan.193919.xyz"
    skip-cert-verify: true
  - name: "JUICITY_fan.193919.xyz_45889"
    type: "juicity"
    server: "fan.193919.xyz"
    port: 45889
    uuid: "abbf6900-2bfb-4019-89e4-4875e831cea8"
    password: "dongtaiwang.com"
    sni: "fan.193919.xyz"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"
  - name: "HY2_5.83.129.153_22222"
    type: "hysteria2"
    server: "5.83.129.153"
    port: 22222
    password: "dongtaiwang.com"
    sni: "bing.com"
    skip-cert-verify: true
  - name: "JUICITY_5.83.129.153_22222"
    type: "juicity"
    server: "5.83.129.153"
    port: 22222
    uuid: "4b230023-d64a-4231-b5ca-c38a4546a5d0"
    password: "dongtaiwang.com"
    sni: "bing.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"

proxy-groups:
  - name: "🚀 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "♻️ 故障转移"
    type: fallback
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "🌍 手动切换"
    type: select
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,"🌍 手动切换"
